5.2.0-git
04/19/2014

[#917] patch: automatic export to iCalendar format
Summary patch: automatic export to iCalendar format
Queue Kronolith
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners chuck (at) horde (dot) org
Requester srrafa (at) usc (dot) es
Created 11/30/2004 (3427 days ago)
Due
Updated 11/15/2005 (3077 days ago)
Assigned 12/02/2004 (3425 days ago)
Resolved 03/11/2005 (3326 days ago)
Milestone 2.1
Patch No

History
11/15/2005 11:11:47 PM Jan Schneider Comment #14 Reply to this comment
And please make sure that you reuse and extend the existing WebDAV 
support. Anything else would be duplicate effort and not accepted.
11/15/2005 11:05:50 PM Chuck Hagenbuch Comment #13 Reply to this comment
On the basis of this patch, I wrote a very simple WebDAV module,
which allows for GET / PUT and PROPFIND. With this, it is possible to
use Kronolith as a storage and be able to use the web interface for
editing, but also application such as Mozilla Sunbird and Apple iCal.

If there is interest in this, I would be willing to polish it up a
bit an supply a patch.
Please do, though in a new ticket. Thanks!
11/15/2005 11:02:39 PM d (dot) bussink (at) student (dot) utwente (dot) nl Comment #12 Reply to this comment
On the basis of this patch, I wrote a very simple WebDAV module, which 
allows for GET / PUT and PROPFIND. With this, it is possible to use 
Kronolith as a storage and be able to use the web interface for 
editing, but also application such as Mozilla Sunbird and Apple iCal.



If there is interest in this, I would be willing to polish it up a bit 
an supply a patch.
03/11/2005 10:11:57 PM Chuck Hagenbuch Comment #11
State ⇒ Resolved
Reply to this comment
This is committed and working now. I also added ics.php, which does 
the same thing with shorter URLs. Nag got an ics.php, too.
03/09/2005 04:43:26 AM Chuck Hagenbuch Comment #10 Reply to this comment
I have this applied and working with iCal - very nice solution in a 
lot of ways, though the URLs are long. I want to document it and maybe 
add another URL-building tool (like the freebusy one), and I may end 
up changing my mind and using the same code in an ical.php. So I'll 
look more at this tomorrow.
03/08/2005 08:17:42 PM c (dot) menssen (at) web (dot) de Comment #9 Reply to this comment
Hello!



Is it possible to make a export script for mozilla sunbird, which 
exports icalendar data?

In the way like http://srv/horde/kronolith/sunbird.php?username=usr&pass=pwd



Which of these files should i use with the current Kronolith version?



Regards,

Chris
03/07/2005 12:27:13 PM srrafa (at) usc (dot) es Comment #8
New Attachment: api.php.patch Download
Reply to this comment
I did some cleaning of the kronolith api patch. Only formatting 
issues, so is basically the same you can find in api.patch



This patch is against  kronolith-h3-2.0.2
03/07/2005 12:22:56 PM srrafa (at) usc (dot) es Comment #7 Reply to this comment
Ok. Let's forget about autexport.php.



I've submitted an enhancement  ticket for the REST driver.  Ticket  #1500.



With that driver, you can get the calendar exported through this request:



http://localhost/horde/rpc.php?RPCDriver=rest&restCall=calendar.exportCalendar&restContentType=text/calendar&calendarName=rafa&contentType=text/calendar


02/19/2005 10:55:57 PM Chuck Hagenbuch Comment #6 Reply to this comment
I'm hoping to get to some version of this functionality relatively soon.
02/02/2005 10:06:50 PM Chuck Hagenbuch Comment #5
New Attachment: icalsub.php Download
Reply to this comment
Date:           Tue, 1 Feb 2005 12:06:31 -0800 (PST) [02/01/2005 03:06:31 PM EST]

From:          John Adams <jna@retina.net>

To:          kronolith@lists.horde.org

Subject:          [kronolith] Script: Subscribe to Kronolith calendars with 
Apple iCal



I think kronolith is pretty cool, but one of the major issues I have with

the way that you export calendar records to iCal is that you have to keep

logging in and exporting the data. I modified data.php and produced a

script that will allow you to -subscribe- iCal to kronolith calendars. It

dumps all events for the specified calendar in icalendar format.



Some caveats I found out the hard way: Apple iCal doesn't support pulling

calendar data over SSL (lame!!!) so you have to run this on an unsecured

server until they get around to fixing that. You should be okay with other

apps like thunderbird/outlook/etc, though.



Granted, there's some security issues here - I've disabled authentication

to view the calendars and I'm just dumping all events for the requested

calendar, but you get the idea. You can modify this script to have some

sort of md5 variable/security/whatever and then modify the URL to require

that variable if you're concerned about security. For most users it won't

matter. Hey, the data is read-only anyway, so don't panic too much ;)



Save this script as 'icalsub.php', and access data using the following URL:

http://your.server.com/horde/kronolith/icalsub.php/<id>



You can also subscribe to multiple calendars and combine them as one like:

http://your.server.com/horde/kronolith/icalsub.php?c=<id1>|<id2>|<id3>



<id> should match the calendar_id in the database (you can get it

also by looking at the "Free/busy" URL that appears in the "My Calendars"

page.)



Enjoy.



--john
01/03/2005 09:47:54 PM Chuck Hagenbuch Comment #4 Reply to this comment
This is your poke that Kronolith 2.0 has been released, so stuff like 
this can go in for 2.1 now. If you send a cleaned up patch (see 
horde/docs/CODING_STANDARDS) and address some of my prior points, 
it'll greatly speed up how quickly we can get this in.
12/02/2004 08:55:46 PM Chuck Hagenbuch Version ⇒ HEAD
 
12/02/2004 08:55:22 PM Chuck Hagenbuch Comment #3 Reply to this comment
If the function is going to be in the API, then it'd be even better to 
just be able to access it through RPC.php, perhaps with a "REST" 
driver (see http://www.xfront.com/REST-Web-Services.html or similar). 
Also, the code as submitted really needs to be cleaned up/fixed for 
Horde coding standards and functionality (see 
horde/docs/CODING_STANDARDS; gettext requires double quotes, etc.). 
Anyways, this should definitely go in one of the Kronolith 2.0.x 
releases; poke me once we've gotten 2.0.0 out, preferrably with some 
cleaned up code, and we'll go from there.
12/02/2004 08:53:14 PM Chuck Hagenbuch Assigned to Chuck Hagenbuch
State ⇒ Assigned
 
11/30/2004 10:30:10 AM srrafa (at) usc (dot) es Comment #2 Reply to this comment
Sorry for the caotic submission of this patch. This is my first 
contribution to the site.



api.patch should be applied to kronolith/lib/api.php

autexport.php should be placed in kronolith/autexport.php.
11/30/2004 10:16:07 AM   New Attachment: autexport.php Download
 
11/30/2004 10:15:27 AM   New Attachment: api.patch Download
 
11/30/2004 10:14:38 AM srrafa (at) usc (dot) es Comment #1
Priority ⇒ 1. Low
Type ⇒ Enhancement
Summary ⇒ patch: automatic export to iCalendar format
Queue ⇒ Kronolith
State ⇒ New
Reply to this comment
This patch allows to export a given calendar to iCalendar format 
automatically.



Automatically means that is not necessary  to log in interactively to 
Kronolith, so is possible for a external application to access 
read-only to the calendars.



It was tested with the mozilla calendar extension (version 0.8.1+) for 
Firefox 1.0